Bug 730570 - Review Request: python-requests - Python HTTP library for Humans
Summary: Review Request: python-requests - Python HTTP library for Humans
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 956426
TreeView+ depends on / blocked
 
Reported: 2011-08-14 15:00 UTC by Arun S A G
Modified: 2014-02-03 12:45 UTC (History)
5 users (show)

Fixed In Version: python-requests-0.6.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 03:45:18 UTC
tomspur: fedora-review+


Attachments (Terms of Use)

Description Arun S A G 2011-08-14 15:00:44 UTC
Spec URL: http://sagarun.fedorapeople.org/SPECS/python-requests.spec
SRPM URL: http://sagarun.fedorapeople.org/SRPMS/python-requests-0.5.1-1.fc15.src.rpm
Description: 
Most existing Python modules for sending HTTP requests are extremely verbose and cumbersome. Python’s built-in urllib2 module provides most of the HTTP capabilities you should need, but the API is thoroughly broken. This library is
designed to make HTTP requests easy for developers.

Comment 1 Thomas Spura 2011-08-14 21:56:06 UTC
Review:
- %files ok
- noarch ok
- BR/R ok
  (You could BR: python-setuptools, but don't need to)
- License ok
- scratch build ok:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=3272326

Needswork:
- in the description is a space too much before "cumbersome"
- noarch and OPT_FLAGS don't match together, please delete the OPT_FLAGS stuff
- rpmlint:
$ rpmlint ~/rpmbuild/RPMS/noarch/python-requests-0.5.1-1.fc15.noarch.rpm ~/rpmbuild/SRPMS/python-requests-0.5.1-1.fc15.src.rpm 
python-requests.src:1: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 1)
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


Please fix the minor issues from above and this is:

##############################################################

APPROVED

Comment 2 Arun S A G 2011-08-15 02:10:39 UTC
(In reply to comment #1)

> 
> Needswork:
> - in the description is a space too much before "cumbersome"
> - noarch and OPT_FLAGS don't match together, please delete the OPT_FLAGS stuff
> - rpmlint:
> $ rpmlint ~/rpmbuild/RPMS/noarch/python-requests-0.5.1-1.fc15.noarch.rpm
> ~/rpmbuild/SRPMS/python-requests-0.5.1-1.fc15.src.rpm 
> python-requests.src:1: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab:
> line 1)
> 2 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
> 
> Please fix the minor issues from above and this is:
> 
> ##############################################################
> 
> APPROVED

Thanks for the review! I will fix the minor issues!

Comment 3 Arun S A G 2011-08-15 02:15:18 UTC
New Package SCM Request
=======================
Package Name: python-requests
Short Description: Python HTTP library for Humans
Owners: sagarun
Branches: F14 F15 F16
InitialCC: sagarun

Comment 4 Gwyn Ciesla 2011-08-16 12:57:34 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-08-16 16:39:07 UTC
python-requests-0.5.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-requests-0.5.1-2.fc16

Comment 6 Fedora Update System 2011-08-16 16:40:36 UTC
python-requests-0.5.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-requests-0.5.1-2.fc15

Comment 7 Fedora Update System 2011-08-16 16:42:31 UTC
python-requests-0.5.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-requests-0.5.1-2.fc14

Comment 8 Fedora Update System 2011-08-16 20:09:34 UTC
python-requests-0.5.1-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 9 Fedora Update System 2011-08-20 13:34:50 UTC
python-requests-0.6.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-requests-0.6.0-1.fc14

Comment 10 Fedora Update System 2011-08-20 14:10:51 UTC
python-requests-0.6.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-requests-0.6.0-1.fc15

Comment 11 Fedora Update System 2011-08-20 14:25:31 UTC
python-requests-0.6.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-requests-0.6.0-1.fc16

Comment 12 Fedora Update System 2011-08-26 18:37:54 UTC
python-requests-0.6.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-requests-0.6.1-1.fc14

Comment 13 Fedora Update System 2011-08-26 19:09:33 UTC
python-requests-0.6.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-requests-0.6.1-1.fc15

Comment 14 Fedora Update System 2011-08-26 19:35:29 UTC
python-requests-0.6.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-requests-0.6.1-1.fc16

Comment 15 Fedora Update System 2011-09-07 03:45:12 UTC
python-requests-0.6.1-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 16 Fedora Update System 2011-09-08 07:02:48 UTC
python-requests-0.6.1-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 17 Fedora Update System 2011-09-08 07:03:40 UTC
python-requests-0.6.1-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 18 Arun S A G 2012-03-28 16:31:33 UTC
Package Change Request
======================
Package Name: python-requests
New Branches: el6
Owners: sagarun

Comment 19 Gwyn Ciesla 2012-03-28 16:40:28 UTC
Git done (by process-git-requests).

Comment 20 Fedora Update System 2012-03-28 21:34:13 UTC
python-requests-0.10.6-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-requests-0.10.6-3.el6

Comment 21 Fedora Update System 2012-04-01 06:50:56 UTC
python-requests-0.10.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-requests-0.10.8-1.el6

Comment 22 Jakub Dorňák 2014-02-03 11:32:30 UTC
Package Change Request
======================
Package Name: python-requests
New Branches: epel7
Owners: jdornak

Comment 23 Gwyn Ciesla 2014-02-03 12:45:35 UTC
Any comment from the Fedora maintainers?


Note You need to log in before you can comment on or make changes to this bug.